<?php 

include('../../validadores/validarSession.php');
include('../StoGlobal/include/conexion.php');
include('../StoGlobal/include/conexion1.php');
include('../StoGlobal/include/conexion3.php');

// session_start();

if(isset($_POST['num_fact'])){

    $num_fact=$_POST['num_fact'];
    $id_proyecto= $_POST['id_proyecto'];
    $id_cotizacion12=$_POST['id_cotizacion12'];

    $query = "
    UPDATE sto_proyectos SET num_factura = '$num_fact', estado = '2' WHERE id = '$id_proyecto' ";
    $statement = $conexion->prepare($query);
    $statement->execute($data);

    $query = "
    UPDATE sto_cotizacion SET estado1 = '3' WHERE id_cotizacion = '$id_cotizacion12' ";
    $statement1 = $conexion->prepare($query);
    $statement1->execute($data);

    
    
    echo json_encode(array('success' => true));
}

if(isset($_POST['ultimo_proceso'])){

            $id_proyecto= $_POST['id_proyecto'];
            $id_cotizacion=$_POST['id_cotizacion'];
            $num_fact=$_POST['num_fact1'];

        
            $query = "
            UPDATE sto_proyectos SET estado = '3' WHERE id = '$id_proyecto' ";
            $statement = $conexion->prepare($query);
            $statement->execute($data);

            $query = "
            UPDATE sto_dte_venta SET vent_tipo_estado = '2' WHERE vent_folio = '$num_fact' ";
            $statement1 = $conexion->prepare($query);
            $statement1->execute($data);

            $query = "
            UPDATE sto_cotizacion SET estado1 = '4' WHERE id_cotizacion = '$id_cotizacion' ";
            $statement2 = $conexion->prepare($query);
            $statement2->execute($data);

            
            
            echo json_encode(array('success' => true));

}


// Ultimo paso para completar el proceso de gestión de proyecto



?>